# Created by pyp2rpm-3.3.6
%global pypi_name browser-cookie3

Name:           python-%{pypi_name}
Version:        0.20.1
Release:        %mkrel 3
Summary:        Loads cookies from your browser into a cookiejar object so can download with urllib and other libraries the same content you see in the web browser
Group:          Development/Python
License:        LGPv3
URL:            https://github.com/borisbabic/browser_cookie3
Source0:        %{pypi_source browser_cookie3}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Python3 fork of Richard Penman's Browser Cookie.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python3 fork of Richard Penman's Browser Cookie.

%prep
%autosetup -n browser_cookie3-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files browser_cookie3

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%{_bindir}/browser-cookie


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.20.1-3.mga10
+ Revision: 2239823
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.20.1-2.mga10
+ Revision: 2156833
- rebuild for python3.13

* Sat Feb 15 2025 daviddavid <daviddavid> 0.20.1-1.mga10
+ Revision: 2148870
- new version: 0.20.1

* Sat Feb 10 2024 papoteur <papoteur> 0.12.1-5.mga10
+ Revision: 2040055
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.12.1-3.mga9
+ Revision: 1822980
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.12.1-2.mga9
+ Revision: 1778502
- Rebuild for python-3.10

* Sun Aug 22 2021 wally <wally> 0.12.1-1.mga9
+ Revision: 1742215
- imported package python-browser-cookie3

